diff -Nru encfs-1.7.4/debian/changelog encfs-1.7.4/debian/changelog
--- encfs-1.7.4/debian/changelog	2014-04-02 20:36:32.000000000 +0200
+++ encfs-1.7.4/debian/changelog	2014-07-13 23:25:09.000000000 +0200
@@ -1,3 +1,14 @@
+encfs (1.7.4-3.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix "[PATCH] Fixing FTBFS on i386 and kfreebsd-i386":
+    - debian/rules: use DEB_HOST_MULTIARCH to tell configure where to find
+      boost libraries
+    - debian/control: build-depend on dpkg-dev >= 1.16.0
+    (Closes: #745792)
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jul 2014 23:24:43 +0200
+
 encfs (1.7.4-3) unstable; urgency=low
 
   * NMUs confirmed (closes: #634217, #621181, #613289, #629326)
diff -Nru encfs-1.7.4/debian/control encfs-1.7.4/debian/control
--- encfs-1.7.4/debian/control	2014-04-02 07:03:53.000000000 +0200
+++ encfs-1.7.4/debian/control	2014-07-13 23:24:32.000000000 +0200
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization-dev, libboost-filesystem-dev, quilt
+Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization-dev, libboost-filesystem-dev, quilt, dpkg-dev (>= 1.16.0)
 Standards-Version: 3.9.1
 Homepage: http://www.arg0.net/encfs
 
diff -Nru encfs-1.7.4/debian/rules encfs-1.7.4/debian/rules
--- encfs-1.7.4/debian/rules	2014-04-02 20:24:27.000000000 +0200
+++ encfs-1.7.4/debian/rules	2014-07-13 23:17:25.000000000 +0200
@@ -13,6 +13,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 #DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CFLAGS = -Wall -g
 LDFLAGS = -L/usr/lib/$(DEB_HOST_GNU_TYPE)
@@ -31,7 +32,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	#-autoreconf -fi
-	./configure $(CONFARG) || ./configure $(CONFARG) --with-boost-libdir=/usr/lib/$(DEB_HOST_GNU_TYPE)
+	./configure $(CONFARG) || ./configure $(CONFARG) --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	touch config.status
 
 build: build-stamp
@@ -49,7 +50,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
-	./configure $(CONFARG) || ./configure $(CONFARG) --with-boost-libdir=/usr/lib/$(DEB_HOST_GNU_TYPE)
+	./configure $(CONFARG) || ./configure $(CONFARG) --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	$(MAKE) distclean || true
 	-rm -f config.log
 #ifneq "$(wildcard /usr/share/misc/config.sub)" ""
